import * as z from 'zod';
// prettier-ignore
export const AppointmentFileInputSchema = z.object({
    id: z.number().int(),
    appointmentId: z.number().int(),
    filename: z.string(),
    mimeType: z.string().optional().nullable(),
    filePath: z.string().optional().nullable(),
    appointment: z.unknown()
}).strict();

export type AppointmentFileInputType = z.infer<typeof AppointmentFileInputSchema>;
